' Licensed Materials - Property of IBM
'
' (C) Copyright IBM Corp. 2008, 2010 All Rights Reserved
'
' US Government Users Restricted Rights - Use, duplicate or
' disclosure restricted by GSA ADP Schedule Contract with
' IBM Corp.
'=========================================================
Const HKLM = &H80000002 'HKEY_LOCAL_MACHINE
strKey = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"

Set StdOut = WScript.StdOut
Set objReg = GetObject("winmgmts://./root/default:StdRegProv")

objReg.EnumKey HKLM, strKey, arrSubKeys

For Each strSubKey in arrSubKeys
  objReg.GetStringValue HKLM, strKey & strSubkey, "DisplayName", dispNameVal
  objReg.GetStringValue HKLM, strKey & strSubkey, "DisplayVersion", versionVal
  objReg.GetStringValue HKLM, strKey & strSubkey, "Publisher", vendorVal
  objReg.GetStringValue HKLM, strKey & strSubkey, "InstallDate", instDateVal
  objReg.GetStringValue HKLM, strKey & strSubkey, "InstallLocation", instLocVal
  StdOut.WriteLine strSubKey & "|" & dispNameVal & "|" & versionVal & "|" & vendorVal & "|" & instDateVal & "|" & instLocVal
Next