@echo off
setlocal

set WAS_USER_SCRIPT=
set USER_INSTALL_ROOT=

SET CUR_DIR=%cd%
cd /d "%~dp0.."
SET WAS_HOME=%cd%
cd /d "%CUR_DIR%"

SET JAVA_HOME=%WAS_HOME%\java
SET DEFAULT_PROFILE_REGISTRY_LOC=%WAS_HOME%\properties\profileRegistry.xml
SET FSDB_PATH=%WAS_HOME%\properties\fsdb
if exist "%DEFAULT_PROFILE_REGISTRY_LOC%" goto NO_JAVA_EXEC
  FOR /F "tokens=*" %%i in ('""%JAVA_HOME:)=^)%\jre\bin\java" -classpath "%WAS_HOME:)=^)%\lib\setup.jar" com.ibm.ws.setup.SetupFsdbPath "%WAS_HOME:)=^)%""') do set FSDB_PATH=%%i
:NO_JAVA_EXEC

SET DEFAULT_PROFILE_SCRIPT=%FSDB_PATH%\_was_profile_default\default.bat
SET ITP_LOC=%WAS_HOME%\deploytool\itp
SET PROFILE_REGISTRY_LOC=%FSDB_PATH%
SET CONFIG_ROOT=%WAS_HOME%\config
SET WAS_EXT_DIRS=%JAVA_HOME%\lib;%WAS_HOME%\classes;%WAS_HOME%\lib;%WAS_HOME%\installedChannels;%WAS_HOME%\lib\ext;%WAS_HOME%\web\help;%ITP_LOC%\plugins\com.ibm.etools.ejbdeploy\runtime
REM SET WAS_BOOTCLASSPATH=
SET CLIENT_CONNECTOR_INSTALL_ROOT=%WAS_HOME%\installedConnectors
SET WAS_LOGGING=-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true

SET WAS_CLASSPATH=%WAS_HOME%\properties;%WAS_HOME%\lib\startup.jar;%WAS_HOME%\lib\bootstrap.jar;%JAVA_HOME%\lib\tools.jar;%WAS_HOME%/lib/lmproxy.jar;%WAS_HOME%/lib/urlprotocols.jar
SET WAS_PATH=%WAS_HOME%\bin;%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin;%PATH%

SET QUALIFYNAMES=
SET OSGI_INSTALL=-Dosgi.install.area="%WAS_HOME%"
SET OSGI_CFG=-Dosgi.configuration.area="%WAS_HOME%"\configuration


"%JAVA_HOME%\bin\java" %OSGI_INSTALL% %OSGI_CFG% %WAS_LOGGING% %CONSOLE_ENCODING% "-Dwas.install.root=%WAS_HOME%" "-Duser.install.root=%USER_INSTALL_ROOT%" -DKeepProfileName=true -Dws.ext.dirs="%WAS_EXT_DIRS%" -Dcom.ibm.websphere.migration.serverRoot="%WAS_HOME%" -classpath "%WAS_CLASSPATH%;%WAS_HOME%\properties" com.ibm.wsspi.bootstrap.WSPreLauncher -nosplash  -application com.ibm.ws.bootstrap.WSLauncher com.ibm.wbicommon.migration.BPMGenerateUpgradeSchemaScripts %*

endlocal
