#!/bin/sh
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5630-A36, 5630-A37, 5724-D18 (C) COPYRIGHT International Business Machines Corp., 2008
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

# WBI Migration Utility Task

if [ "$#" = "0" ]; then
    echo "error: Missing zip_filename"
    echo
    echo "Usage: BPMCreateDatabaseUpgradeUtilities.sh <zip_filename> <snapshot_directory>"
    echo
    echo "If a path is included with the filename, the path must already exist."
    exit
fi

if [ ! -d "$2" ]; then
	echo "Snapshot directory $2 does not exist. Please specify a valid snapshot directory"
	exit
fi

if [ ! -d "$2/websphere_backup" ]; then
	echo "$2 is not a valid Snapshot directory. Please specify a valid snapshot directory"
	exit
fi


migDir=`dirname "$0"`
"$migDir/ws_ant.sh" -file "$migDir/../util/migration/createDatabaseUpgradeUtilZip.ant" -DzipFile="$1" -DsnapshotDirectory="$2"
